AI observability
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
POST | |
GET | |
POST | |
GET | |
PATCH | |
POST | |
POST | |
GET | |
GET | |
PATCH | |
DELETE | |
GET | |
PATCH | |
DELETE | |
GET | |
GET | |
PATCH | |
DELETE |
Retrieve ai observability instrumentation checklist
Grade every instrumentation check for this project.
Required API key scopes
llm_analytics:readQuery parameters
- refreshbooleanDefault:
false
Response
Example request
GET /api /projects /:project_id /ai_observability /instrumentation_checklistexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/instrumentation_checklist/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/instrumentation_checklist/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"window_days": 0,"checks": [{"key": "sessions","status": "ok","title": "string","detail": "string","docs_url": "http://example.com","stats": {"property1": 0,"property2": 0}}]}
Create ai observability instrumentation checklist dismiss
Mark a check as not applicable to this project.
Required API key scopes
llm_analytics:writeRequest parameters
- check
Response
Example request
POST /api /projects /:project_id /ai_observability /instrumentation_checklist /dismissexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/instrumentation_checklist/dismiss/\-d check=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/ai_observability/instrumentation_checklist/dismiss/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"window_days": 0,"checks": [{"key": "sessions","status": "ok","title": "string","detail": "string","docs_url": "http://example.com","stats": {"property1": 0,"property2": 0}}]}
Create ai observability instrumentation checklist restore
Bring a dismissed check back into grading.
Required API key scopes
llm_analytics:writeRequest parameters
- check
Response
Example request
POST /api /projects /:project_id /ai_observability /instrumentation_checklist /restoreexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/instrumentation_checklist/restore/\-d check=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/ai_observability/instrumentation_checklist/restore/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={}).json()
Example response
Status 200
RESPONSE
{"window_days": 0,"checks": [{"key": "sessions","status": "ok","title": "string","detail": "string","docs_url": "http://example.com","stats": {"property1": 0,"property2": 0}}]}
List all ai observability offline experiments
Required API key scopes
evaluation:readQuery parameters
- application_versionstring
- created_byinteger
- created_by_is_nullboolean
- cursorstring
- dataset_identifierstring
- dataset_revision_identifierstring
- dataset_sourcestring
- date_fromstring
- date_tostring
- limitintegerDefault:
50 - model_versionstring
- prompt_versionstring
- run_sourcestring
- scorer_definition_idstring
- scorer_version_idsstring
- searchstring
- statusesstring
- suite_keystring
- tag_matchstringDefault:
anyOne of:"any""all" - tagsstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experimentsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"next": "http://example.com","previous": "http://example.com","count": 0,"next_cursor": "string","results": [{"updated_at": "2019-08-24T14:15:22Z","closed_item_count": 0,"created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"tags": ["string"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","run_source": "ci","status": "uploading","started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"visible_result_count": 0,"visible_scorer_definition_count": 0,"visible_scorer_version_count": 0,"result_count_scope": "string","suite_key": "string","dataset_source": "string","dataset_identifier": "string","dataset_revision_identifier": "string","dataset_revision_id": "e7047d72-9b1c-4feb-9c11-cc3d637eeab5","application_version": "string","model_version": "string","prompt_version": "string"}]}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Create ai observability offline experiments
Required API key scopes
offline_evaluation_ingestion:writeRequest parameters
- idstring
- namestring
- started_atstring
- run_source
- expected_item_countinteger | null
- expected_result_countinteger | null
- suite_keystring | null
- dataset_sourcestring | null
- dataset_identifierstring | null
- dataset_revision_identifierstring | null
- dataset_revision_idstring | null
- application_versionstring | null
- model_versionstring | null
- prompt_versionstring | null
Response
Example request
POST /api /projects /:project_id /ai_observability /offline_experimentsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/\-d id="string",\-d name="string",\-d started_at="string"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/".format(project_id=project_id),headers={"Authorization": "Bearer {}".format(api_key)},data={"id": "string","name": "string","started_at": "string"}).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "uploading","created": true,"started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0}
Status 201
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "uploading","created": true,"started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 413
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Retrieve ai observability offline experiments
Required API key scopes
evaluation:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"updated_at": "2019-08-24T14:15:22Z","closed_item_count": 0,"created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"tags": ["string"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","run_source": "ci","status": "uploading","started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"visible_result_count": 0,"visible_scorer_definition_count": 0,"visible_scorer_version_count": 0,"result_count_scope": "string","suite_key": "string","dataset_source": "string","dataset_identifier": "string","dataset_revision_identifier": "string","dataset_revision_id": "e7047d72-9b1c-4feb-9c11-cc3d637eeab5","application_version": "string","model_version": "string","prompt_version": "string"}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Update ai observability offline experiments
Required API key scopes
evaluation:writePath parameters
- idstring
Request parameters
- tagsarray
Response
Example request
PATCH /api /projects /:project_id /ai_observability /offline_experiments /:idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/\-d tags="array"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"tags": "array"}).json()
Example response
Status 200
RESPONSE
{"updated_at": "2019-08-24T14:15:22Z","closed_item_count": 0,"created_by": {"id": 0,"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f","distinct_id": "string","first_name": "string","last_name": "string","email": "user@example.com","is_email_verified": true,"hedgehog_config": {},"role_at_organization": "engineering"},"tags": ["string"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","name": "string","run_source": "ci","status": "uploading","started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"visible_result_count": 0,"visible_scorer_definition_count": 0,"visible_scorer_version_count": 0,"result_count_scope": "string","suite_key": "string","dataset_source": "string","dataset_identifier": "string","dataset_revision_identifier": "string","dataset_revision_id": "e7047d72-9b1c-4feb-9c11-cc3d637eeab5","application_version": "string","model_version": "string","prompt_version": "string"}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 413
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Create ai observability offline experiments complete
Required API key scopes
offline_evaluation_ingestion:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /ai_observability /offline_experiments /:id /completeexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/complete/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/complete/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "uploading","created": true,"started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 413
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Create ai observability offline experiments fail
Required API key scopes
offline_evaluation_ingestion:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /ai_observability /offline_experiments /:id /failexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl-H 'Content-Type: application/json'\-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/fail/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.post("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/fail/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","status": "uploading","created": true,"started_at": "2019-08-24T14:15:22Z","created_at": "2019-08-24T14:15:22Z","finished_at": "2019-08-24T14:15:22Z","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 413
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
List all ai observability offline experiments items
Required API key scopes
evaluation:readPath parameters
- idstring
Query parameters
- cursorstring
- limitintegerDefault:
50 - scorer_version_idsstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:id /itemsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"next": "http://example.com","previous": "http://example.com","count": 0,"next_cursor": "string","results": [{"revision": 0,"content_updated_at": "2019-08-24T14:15:22Z","model_version": "string","id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","experiment_id": "916afd89-cac5-4339-9c59-dd068abdfa69","case_key": "string","trial": "string","dataset_item_identifier": "string","dataset_item_version_identifier": "string","dataset_item_version_id": "987e10b5-2243-43e5-b94b-a21eb028fb88","application_trace_id": "string","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","results": [{"is_stale": true,"revision": 0,"score_updated_at": "2019-08-24T14:15:22Z","input_result_ids": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c","status": "ok","value": 0.1,"error_code": "string","evaluator_trace_id": "string","evaluated_at": "2019-08-24T14:15:22Z","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]}],"scorer_versions": [{"calculation": "reported","composition": {"expression": "string","inputs": [{"alias": "string","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]},"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","definition_id": "91c1994f-b1db-4fef-840d-7d3ab2984871","version": 0,"kind": "categorical","name": "string","short_name": "string","description": "string","archived": true,"config": {"options": [{"key": "string","label": "string"}],"selection_mode": "single","min_selections": 1,"max_selections": 1,"passing_rule": {"categories": ["string"]}}}]}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Retrieve ai observability offline experiments items
Required API key scopes
evaluation:readPath parameters
- idstring
- item_idstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"revision": 0,"content_updated_at": "2019-08-24T14:15:22Z","model_version": "string","id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","experiment_id": "916afd89-cac5-4339-9c59-dd068abdfa69","case_key": "string","trial": "string","dataset_item_identifier": "string","dataset_item_version_identifier": "string","dataset_item_version_id": "987e10b5-2243-43e5-b94b-a21eb028fb88","application_trace_id": "string","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","results": [{"is_stale": true,"revision": 0,"score_updated_at": "2019-08-24T14:15:22Z","input_result_ids": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c","status": "ok","value": 0.1,"error_code": "string","evaluator_trace_id": "string","evaluated_at": "2019-08-24T14:15:22Z","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Update ai observability offline experiments items
Required API key scopes
evaluation:writePath parameters
- idstring
- item_idstring
Request parameters
- revisioninteger
- case_keystring | null
- trialstring | null
- model_versionstring | null
- application_trace_idstring | null
Response
Example request
PATCH /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/\-d revision="integer"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"revision": "integer"}).json()
Example response
Status 200
RESPONSE
{"revision": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Delete ai observability offline experiments items
Required API key scopes
evaluation:writellm_analytics:readPath parameters
- idstring
- item_idstring
Query parameters
- revisioninteger
Example request
DELETE /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Example response
Status 204 No response body
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Retrieve ai observability offline experiments items payload
Required API key scopes
evaluation:readPath parameters
- idstring
- item_idstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_id /payloadexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/payload/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/payload/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"revision": 0,"deleted_at": "2019-08-24T14:15:22Z","id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","available": true,"data": {"input": {},"output": {},"expected_output": {},"metadata": {}}}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Update ai observability offline experiments items payload
Required API key scopes
evaluation:writePath parameters
- idstring
- item_idstring
Request parameters
- revisioninteger
- payload
Response
Example request
PATCH /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_id /payloadexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/payload/\-d revision="integer",\-d payload=undefined
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/payload/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"revision": "integer"}).json()
Example response
Status 200
RESPONSE
{"revision": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Delete ai observability offline experiments items payload
Required API key scopes
evaluation:writePath parameters
- idstring
- item_idstring
Query parameters
- revisioninteger
Example request
DELETE /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_id /payloadexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/payload/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/payload/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Example response
Status 204 No response body
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
List all ai observability offline experiments items results
Required API key scopes
evaluation:readllm_analytics:readPath parameters
- idstring
- item_idstring
Query parameters
- cursorstring
- limitintegerDefault:
50 - scorer_definition_idstring
- scorer_version_idsstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:id /items /:item_id /resultsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/items/:item_id/results/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/items/{item_id}/results/".format(project_id=project_id,ai_observability_id="<the ai observability id>",item_id="<the item id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"next": "http://example.com","previous": "http://example.com","count": 0,"next_cursor": "string","results": [{"is_stale": true,"revision": 0,"score_updated_at": "2019-08-24T14:15:22Z","input_result_ids": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c","status": "ok","value": 0.1,"error_code": "string","evaluator_trace_id": "string","evaluated_at": "2019-08-24T14:15:22Z","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","scorer": {"calculation": "reported","composition": {"expression": "string","inputs": [{"alias": "string","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]},"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","definition_id": "91c1994f-b1db-4fef-840d-7d3ab2984871","version": 0,"kind": "categorical","name": "string","short_name": "string","description": "string","archived": true,"config": {"options": [{"key": "string","label": "string"}],"selection_mode": "single","min_selections": 1,"max_selections": 1,"passing_rule": {"categories": ["string"]}}}}]}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Retrieve ai observability offline experiments result cells
Required API key scopes
evaluation:readllm_analytics:readPath parameters
- idstring
Query parameters
- item_idsstring
- scorer_version_idsstring
Response
Example request
GET /api /projects /:project_id /ai_observability /offline_experiments /:id /result_cellsexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/result_cells/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.get("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/result_cells/".format(project_id=project_id,ai_observability_id="<the ai observability id>"),headers={"Authorization": "Bearer {}".format(api_key)},).json()
Example response
Status 200
RESPONSE
{"scorer_versions": [{"calculation": "reported","composition": {"expression": "string","inputs": [{"alias": "string","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]},"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","definition_id": "91c1994f-b1db-4fef-840d-7d3ab2984871","version": 0,"kind": "categorical","name": "string","short_name": "string","description": "string","archived": true,"config": {"options": [{"key": "string","label": "string"}],"selection_mode": "single","min_selections": 1,"max_selections": 1,"passing_rule": {"categories": ["string"]}}}],"results": [{"is_stale": true,"revision": 0,"score_updated_at": "2019-08-24T14:15:22Z","input_result_ids": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"],"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08","item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c","status": "ok","value": 0.1,"error_code": "string","evaluator_trace_id": "string","evaluated_at": "2019-08-24T14:15:22Z","accepted_at": "2019-08-24T14:15:22Z","payload_state": "not_provided","payload_expires_at": "2019-08-24T14:15:22Z","scorer_version_id": "d07df8d1-3b1c-4e6f-8d6d-dd2c83c1a72e"}]}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Update ai observability offline experiments results
Required API key scopes
evaluation:writellm_analytics:readPath parameters
- idstring
- result_idstring
Request parameters
- revisioninteger
- status
- value
- error_codestring | null
Response
Example request
PATCH /api /projects /:project_id /ai_observability /offline_experiments /:id /results /:result_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X PATCH \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/results/:result_id/\-d revision="integer"
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.patch("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/results/{result_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>",result_id="<the result id>"),headers={"Authorization": "Bearer {}".format(api_key)},data={"revision": "integer"}).json()
Example response
Status 200
RESPONSE
{"revision": 0}
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Delete ai observability offline experiments results
Required API key scopes
evaluation:writellm_analytics:readPath parameters
- idstring
- result_idstring
Query parameters
- revisioninteger
Example request
DELETE /api /projects /:project_id /ai_observability /offline_experiments /:id /results /:result_idexport POSTHOG_PERSONAL_API_KEY=[your personal api key]curl -X DELETE \-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \<ph_app_host>/api/projects/:project_id/ai_observability/offline_experiments/:id/results/:result_id/
api_key = "[your personal api key]"project_id = "[your project id]"response = requests.delete("<ph_app_host>/api/projects/{project_id}/ai_observability/offline_experiments/{ai_observability_id}/results/{result_id}/".format(project_id=project_id,ai_observability_id="<the ai observability id>",result_id="<the result id>"),headers={"Authorization": "Bearer {}".format(api_key)},)
Example response
Status 204 No response body
Status 400
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 401
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 403
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 404
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 409
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 429
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}
Status 503
RESPONSE
{"type": "string","code": "string","detail": "string","attr": "string","expected_item_count": 0,"expected_result_count": 0,"accepted_item_count": 0,"accepted_result_count": 0,"errors": [{"code": "string","detail": "string","attr": "string"}]}





